ScanopyScanopy
Interfaces

Get an Interface's neighbours

Returns the adjacencies resolved for the interface and the raw LLDP/CDP evidence behind them, including records that resolved to nothing.

GET
/api/v1/interfaces/{id}/neighbours

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

If entry ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/interfaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/neighbours"
{
  "meta": {
    "api_version": 1,
    "server_version": "0.18.1"
  },
  "success": true,
  "data": {
    "candidates": [
      {
        "base": {
          "evidence": {
            "cdp_address": "192.168.1.1",
            "cdp_device_id": "string",
            "cdp_platform": "string",
            "cdp_port_id": "string",
            "evidence_source": "Unspecified",
            "lldp_chassis_id": null,
            "lldp_mgmt_addr": "192.168.1.1",
            "lldp_port_desc": "string",
            "lldp_port_id": null,
            "lldp_sys_desc": "string",
            "lldp_sys_name": "string"
          },
          "interface_id": "16c0a784-0728-4b20-a16b-354e14c2524c",
          "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811"
        },
        "created_at": "2019-08-24T14:15:22Z",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    ],
    "neighbours": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "interface_id": "16c0a784-0728-4b20-a16b-354e14c2524c",
        "neighbor": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "type": "Interface"
        },
        "neighbor_seen_at": "2019-08-24T14:15:22Z"
      }
    ]
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.18.1"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.18.1"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}